# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::EncodingInterface Class Reference

This is an interface to the text encoding of a Document class. More...

`#include <encodinginterface.h>`

List of all members.

## Public Member Functions

unsigned int | encodingInterfaceNumber () const
virtual void | setEncoding (const class QString &e)=0
virtual class QString | encoding () const =0

## Protected Member Functions

void | setEncodingInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateEncodingInterface

## Detailed Description

This is an interface to the text encoding of a Document class.

Definition at line 33 of file encodinginterface.h.

The documentation for this class was generated from the following files:

- encodinginterface.h
- encodinginterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003